# Resources

The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts.

## List Resources

> Use this endpoint to list all catalog resources. The resources can be sorted or filtered by most of the fields in the response, using the Sort and Filter JSON objects respectively. More details about the sort and filter query parameters can be found below. The default sort is by external usage in descending order.\
> \
> Please refer to our product documentation \*\*\[here]\(<https://docs.secoda.co/api/reference/getting-started#catalog-filters)\\*\\>\* for assistance with the \`filter\` param. We have exposed a filter generator in <https://app.secoda.co/settings/api> to make creating these requests easier.\
> \
> \*\*Important Limitations:\*\*\
> \- This endpoint has a maximum limit of 10,000 resources that can be returned across all pages\
> \- For large datasets exceeding 10,000 resources, consider using more specific \`filter\` to narrow your results<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Resources","description":"The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/resource/catalog":{"get":{"tags":["Resources"],"summary":"List Resources","description":"Use this endpoint to list all catalog resources. The resources can be sorted or filtered by most of the fields in the response, using the Sort and Filter JSON objects respectively. More details about the sort and filter query parameters can be found below. The default sort is by external usage in descending order.\n\nPlease refer to our product documentation **[here](https://docs.secoda.co/api/reference/getting-started#catalog-filters)** for assistance with the `filter` param. We have exposed a filter generator in https://app.secoda.co/settings/api to make creating these requests easier.\n\n**Important Limitations:**\n- This endpoint has a maximum limit of 10,000 resources that can be returned across all pages\n- For large datasets exceeding 10,000 resources, consider using more specific `filter` to narrow your results\n","parameters":[{"name":"page","in":"query","schema":{"type":"number"},"description":"The page number for paginated results."},{"name":"teams","in":"query","schema":{"type":"string"},"description":"The ID of the team the resources should filter by."},{"name":"filter","in":"query","schema":{"type":"string"},"description":"A serialized and URL encoded JSON object to define filters on the catalog resources. See [Catalog Filter](https://api.secoda.co/api/schema/redoc/#tag/Filter) for the definition of this JSON object.\n"},{"name":"sort","in":"query","schema":{"type":"string"},"description":"A serialized and URL encoded JSON object to define the sort pattern on the catalog resources. See [Catalog Sort](https://api.secoda.co/api/schema/redoc/#tag/Sort) for the definition of this JSON object."}],"responses":{"200":{"description":"List of resources.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/v1_ListResponse"},{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/v1_CatalogResponse"}}}}]}}}},"400":{"description":"Bad request."},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_ListResponse":{"type":"object","properties":{"links":{"type":"object","description":"Indicates Links to associated pages.","properties":{"next":{"type":"string","description":"The link to the next page (null if there are no more pages)."},"previous":{"type":"string","description":"The link to the previous page (null if on the first page)."}}},"meta":{"type":"object","description":"Reprents the meta data of the response.","properties":{"page":{"type":"integer","description":"The current page number."},"previous_page":{"type":"integer","description":"The previous page number (null if on the first page)."},"next_page":{"type":"integer","description":"The next page number (null if on the last page)."}}},"count":{"type":"integer","description":"The total count of items returned."},"total_pages":{"type":"integer","description":"The total number of pages."}}},"v1_CatalogResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the resource."},"created_at":{"type":"string","format":"date-time","description":"The creation timestamp of the resource in Secoda."},"updated_at":{"type":"string","format":"date-time","description":"The last update timestamp of the resource in Secoda."},"entity_type":{"type":"string","description":"The type of the resource."},"native_type":{"type":"string","description":"The type of the resource as indicated in the integration."},"icon":{"type":"string","description":"An optional icon for the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title of the resource in title case format."},"description":{"type":"string","description":"Description of the resource."},"definition":{"type":"string","description":"The markdown documentation of the resource."},"definition_version":{"type":"integer","description":"Version number of the resource documentation."},"multiplayers":{"type":"array","items":{"type":"object"},"description":"List of users interacting collaboratively on the resource [Not currently in use]."},"multiplayer_last_modified_by":{"type":"string","description":"The last user to modify the resource [Not currently in use]."},"multiplayer_last_modified":{"type":"string","description":"Timestamp of the last modification [Not currently in use]."},"owners":{"type":"array","items":{"type":"string"},"description":"List of User IDs associated with the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of Group IDs associated with the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of Collection IDs to which the resource belongs."},"tags":{"type":"array","items":{"type":"string"},"description":"List of Tag IDs associated with the resource."},"workspace_id":{"type":"string","description":"Workspace identifier in which the resource resides."},"published":{"type":"boolean","description":"Flag indicating whether the resource is published and visible to Viewers."},"archived":{"type":"boolean","description":"Flag indicating whether the resource is archived."},"archived_at":{"type":"string","nullable":true,"description":"Timestamp when the resource was archived."},"pii":{"type":"boolean","description":"Flag indicating if the resource contains personally identifiable information."},"verified":{"type":"boolean","description":"Flag indicating whether the resource has been verified."},"url":{"type":"string","description":"URL to access the resource on the web."},"parent":{"type":"string","description":"Parent ID of the resource."},"children_count":{"type":"integer","description":"Number of child entities associated with this resource."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of User IDs who have bookmarked the resource."},"integration":{"type":"string","description":"Identifier for integration from which the resource was extracted."},"external_updated_at":{"type":"string","description":"The last update timestamp of the resource in the source."},"internal_usage":{"type":"integer","description":"Number of times the resource has been viewed within Secoda."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of users who have interacted with the resource in Secoda."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of users who have interacted with the resource in the source."},"external_usage":{"type":"integer","description":"Number of times the resource has been viewed or queried in the Source."},"databuilder_id":{"type":"string","description":"Unique identifier for the resource."},"search_metadata":{"type":"object","description":"A set of properties used for indexing in search."},"sources":{"type":"array","items":{"type":"string"},"description":"Data sources that augment the resource, such as dbt."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of users subscribed to updates on the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"Teams IDs associated with the resource."},"stale":{"type":"boolean","description":"Flag indicating if the resource is considered stale."},"stale_at":{"type":"string","description":"Timestamp indicating when the resource was last marked as stale."},"forced_unstale_by_user":{"type":"boolean","description":"Flag indicating if the stale status of the resource was removed by a user action."},"current_user_permissions":{"type":"string","description":"Permissions of the current user on the resource."},"row_count":{"type":"integer","description":"The number of rows present in the resource."},"byte_size":{"type":"integer","description":"The size of the data used by the dashboard in bytes."},"display_metadata":{"type":"object","description":"Display-specific metadata for rendering the resource in Secoda."},"question_status":{"type":"string","description":"Status of the question [Not currently in use for Catalog resources]."},"question_priority":{"type":"string","nullable":true,"description":"Priority level of the question [Not currently in use for Catalog resources]."},"question_answered_by":{"type":"string","nullable":true,"description":"User ID of the person who answered the question [Not currently in use for Catalog resources]."},"question_assigned_to":{"type":"string","nullable":true,"description":"User ID of the person to whom the question is assigned [Not currently in use for Catalog resources]."}}}}}}
```

## Create Resource

> This endpoint allows you to create a new resource with the specified data. The \`title\` will map to the resource name, and the definition can be added to the \`definition\` field.<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Resources","description":"The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/resource/all/":{"post":{"tags":["Resources"],"summary":"Create Resource","description":"This endpoint allows you to create a new resource with the specified data. The `title` will map to the resource name, and the definition can be added to the `definition` field.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/v1_BaseResourceRequest"}]}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"400":{"description":"Bad Request"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BaseResourceRequest":{"type":"object","properties":{"title":{"type":"string","description":"The title of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource, if one exists."},"description":{"type":"string","description":"A description of the resource."},"entity_type":{"type":"string","description":"The type of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"parent":{"type":"string","description":"The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the resource has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"A list of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Get Resource

> This endpoint will provide the details of an individual resource.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Resources","description":"The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/resource/all/{resource_id}":{"get":{"tags":["Resources"],"summary":"Get Resource","description":"This endpoint will provide the details of an individual resource.","parameters":[{"name":"resource_id","in":"path","required":true,"schema":{"type":"string"},"description":"The ID of the resource to retrieve."}],"responses":{"200":{"description":"Resource details retrieved successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_CatalogResponse"}}}},"404":{"description":"Integration not found."},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_CatalogResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the resource."},"created_at":{"type":"string","format":"date-time","description":"The creation timestamp of the resource in Secoda."},"updated_at":{"type":"string","format":"date-time","description":"The last update timestamp of the resource in Secoda."},"entity_type":{"type":"string","description":"The type of the resource."},"native_type":{"type":"string","description":"The type of the resource as indicated in the integration."},"icon":{"type":"string","description":"An optional icon for the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title of the resource in title case format."},"description":{"type":"string","description":"Description of the resource."},"definition":{"type":"string","description":"The markdown documentation of the resource."},"definition_version":{"type":"integer","description":"Version number of the resource documentation."},"multiplayers":{"type":"array","items":{"type":"object"},"description":"List of users interacting collaboratively on the resource [Not currently in use]."},"multiplayer_last_modified_by":{"type":"string","description":"The last user to modify the resource [Not currently in use]."},"multiplayer_last_modified":{"type":"string","description":"Timestamp of the last modification [Not currently in use]."},"owners":{"type":"array","items":{"type":"string"},"description":"List of User IDs associated with the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of Group IDs associated with the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of Collection IDs to which the resource belongs."},"tags":{"type":"array","items":{"type":"string"},"description":"List of Tag IDs associated with the resource."},"workspace_id":{"type":"string","description":"Workspace identifier in which the resource resides."},"published":{"type":"boolean","description":"Flag indicating whether the resource is published and visible to Viewers."},"archived":{"type":"boolean","description":"Flag indicating whether the resource is archived."},"archived_at":{"type":"string","nullable":true,"description":"Timestamp when the resource was archived."},"pii":{"type":"boolean","description":"Flag indicating if the resource contains personally identifiable information."},"verified":{"type":"boolean","description":"Flag indicating whether the resource has been verified."},"url":{"type":"string","description":"URL to access the resource on the web."},"parent":{"type":"string","description":"Parent ID of the resource."},"children_count":{"type":"integer","description":"Number of child entities associated with this resource."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of User IDs who have bookmarked the resource."},"integration":{"type":"string","description":"Identifier for integration from which the resource was extracted."},"external_updated_at":{"type":"string","description":"The last update timestamp of the resource in the source."},"internal_usage":{"type":"integer","description":"Number of times the resource has been viewed within Secoda."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of users who have interacted with the resource in Secoda."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of users who have interacted with the resource in the source."},"external_usage":{"type":"integer","description":"Number of times the resource has been viewed or queried in the Source."},"databuilder_id":{"type":"string","description":"Unique identifier for the resource."},"search_metadata":{"type":"object","description":"A set of properties used for indexing in search."},"sources":{"type":"array","items":{"type":"string"},"description":"Data sources that augment the resource, such as dbt."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of users subscribed to updates on the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"Teams IDs associated with the resource."},"stale":{"type":"boolean","description":"Flag indicating if the resource is considered stale."},"stale_at":{"type":"string","description":"Timestamp indicating when the resource was last marked as stale."},"forced_unstale_by_user":{"type":"boolean","description":"Flag indicating if the stale status of the resource was removed by a user action."},"current_user_permissions":{"type":"string","description":"Permissions of the current user on the resource."},"row_count":{"type":"integer","description":"The number of rows present in the resource."},"byte_size":{"type":"integer","description":"The size of the data used by the dashboard in bytes."},"display_metadata":{"type":"object","description":"Display-specific metadata for rendering the resource in Secoda."},"question_status":{"type":"string","description":"Status of the question [Not currently in use for Catalog resources]."},"question_priority":{"type":"string","nullable":true,"description":"Priority level of the question [Not currently in use for Catalog resources]."},"question_answered_by":{"type":"string","nullable":true,"description":"User ID of the person who answered the question [Not currently in use for Catalog resources]."},"question_assigned_to":{"type":"string","nullable":true,"description":"User ID of the person to whom the question is assigned [Not currently in use for Catalog resources]."}}}}}}
```

## Delete Resource

> This endpoint allows you to delete a resource by its unique identifier (resource\_id).<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Resources","description":"The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/resource/all/{resource_id}":{"delete":{"tags":["Resources"],"summary":"Delete Resource","description":"This endpoint allows you to delete a resource by its unique identifier (resource_id).\n","parameters":[{"in":"path","name":"resource_id","description":"The unique identifier of the resource to delete","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Resource deleted successfully"},"404":{"description":"Resource not found"},"500":{"description":"Internal Server Error"}}}}}}
```

## Edit Resource

> This endpoint allows you to edit the metadata of a resource by its unique identifier (resource\_id).<br>

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Resources","description":"The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/resource/all/{resource_id}":{"patch":{"tags":["Resources"],"summary":"Edit Resource","description":"This endpoint allows you to edit the metadata of a resource by its unique identifier (resource_id).\n","parameters":[{"in":"path","name":"resource_id","description":"The unique identifier of the resource to edit","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BasePatchRequest"}}}},"responses":{"200":{"description":"Resource updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/v1_BaseResponse"}}}},"400":{"description":"Bad Request"},"404":{"description":"Resource not found"},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"v1_BasePatchRequest":{"type":"object","properties":{"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the table has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}},"v1_BaseResponse":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource."},"created_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was created in Secoda in UTC format."},"updated_at":{"type":"string","format":"date-time","description":"The timestamp when the resource was last updated in Secoda in UTC format."},"entity_type":{"type":"string","description":"The type of resource in Secoda."},"native_type":{"type":"string","description":"The native type of the resource as it is referred to in the integration."},"bookmarked_by":{"type":"array","items":{"type":"string"},"description":"List of member IDs that have bookmarked the resource."},"icon":{"type":"string","description":"The icon associated with the resource."},"title":{"type":"string","description":"The title of the resource."},"title_full":{"type":"string","description":"The full title of the resource, including its ancestry."},"title_cased":{"type":"string","description":"The title in a cased format."},"description":{"type":"string","description":"A description of the resource."},"definition":{"type":"string","format":"markdown","description":"The documentation of the resource, written in Mark Down format."},"definition_version":{"type":"integer","description":"The version of the resource's documentation."},"multiplayers":{"type":"array","items":{"type":"string"},"description":"List of members who have opened or worked with the resource recently."},"multiplayer_last_modified_by":{"type":"string","description":"The last member who modified this resource."},"multiplayer_last_modified":{"type":"string","format":"date-time","description":"The timestamp when the multiplayer was last modified in UTC format."},"owners":{"type":"array","items":{"type":"string"},"description":"List of owner IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"List of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"List of IDs representing the collection(s) that the resource has been added to."},"tags":{"type":"array","items":{"type":"string"},"description":"List of tag IDs added to the resource."},"workspace_id":{"type":"string","description":"The ID of the workspace."},"total_usage":{"type":"integer","description":"The total usage count for the resource."},"published":{"type":"boolean","description":"Indicates if the resource is published and can be seen by Viewers."},"archived":{"type":"boolean","description":"Indicates if the resource is deleted."},"pii":{"type":"boolean","description":"Indicates if the resource contains Personally Identifiable Information (PII). Values can be - <ul> <li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates if the resource is verified. Values can be - <ul><li> True <li> False</ul>"},"url":{"type":"string","description":"The URL associated with the resource."},"parent":{"type":"string","description":"The parent resource's ID."},"children_count":{"type":"integer","description":"The count of children entities of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource."},"external_updated_at":{"type":"string","format":"date-time","description":"The timestamp of the last update for the resource in the source."},"internal_usage":{"type":"integer","description":"The internal usage count for the resource."},"internal_users":{"type":"array","items":{"type":"string"},"description":"List of internal user IDs for the resource."},"external_users":{"type":"array","items":{"type":"string"},"description":"List of external user IDs for the resource extracted from the integration."},"external_usage":{"type":"integer","description":"The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource."},"databuilder_id":{"type":"string","description":"The databuilder ID associated with the resource. This is a generated field."},"search_metadata":{"type":"object","description":"Metadata related to indexing the resource for optimizing search."},"sources":{"type":"array","items":{"type":"string"},"description":"List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT."},"subscribers":{"type":"array","items":{"type":"string"},"description":"List of User IDs who subscribe to the resource."},"teams":{"type":"array","items":{"type":"string"},"description":"List of team IDs associated with the resource."},"stale":{"type":"boolean","description":"Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction."},"current_user_permissions":{"type":"object","description":"Permissions of the current user for this resource.","properties":{"read":{"type":"boolean"},"write":{"type":"boolean"},"execute":{"type":"boolean"}}}}}}}}
```

## Bulk Update Resources

> Use this endpoint to update multiple entities in a single request.\
> \
> For performance reasons, this endpoint can only handle\
> a maximum of 100 entities at a time.

```json
{"openapi":"3.0.0","info":{"title":"Secoda API","version":"8.22.39"},"tags":[{"name":"Resources","description":"The resource endpoint can be used to query resources in Secoda, such as Databases, Schemas, Tables, Columns, Jobs, Events, Dashboards, and Charts."}],"servers":[{"url":"https://api.secoda.co","description":"Base URL for all US cloud based workspaces"},{"url":"https://eapi.secoda.co","description":"Base URL for all EU cloud based workspaces"},{"url":"https://aapi.secoda.co","description":"Base URL for all APAC cloud based workspaces"},{"url":"https://{customer_domain}.secoda.co","description":"Base URL for On Premise Secoda workspaces","variables":{"customer_domain":{"default":"customer_domain","description":"The specific domain set up for your On Premise Secoda workspace."}}}],"security":[{"ApiKeyAuth":[]}],"paths":{"/api/v1/resource/all/bulk_update/":{"post":{"tags":["Resources"],"summary":"Bulk Update Resources","description":"Use this endpoint to update multiple entities in a single request.\n\nFor performance reasons, this endpoint can only handle\na maximum of 100 entities at a time.","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"An array of entities to update.","items":{"type":"object","required":["id","data"],"properties":{"id":{"type":"string","description":"The Secoda entity ID to update."},"data":{"description":"Only include the fields you would like to update.","allOf":[{"$ref":"#/components/schemas/v1_BaseResourceRequest"}]}}}}}}},"responses":{"200":{"description":"This endpoint will return a list of the Secoda entity IDs that were updated.","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"403":{"description":"User does not have permission to update entities."},"404":{"description":"Entity not found."},"500":{"description":"Internal server error."}}}}},"components":{"schemas":{"v1_BaseResourceRequest":{"type":"object","properties":{"title":{"type":"string","description":"The title of the resource."},"integration":{"type":"string","description":"The integration ID associated with the resource, if one exists."},"description":{"type":"string","description":"A description of the resource."},"entity_type":{"type":"string","description":"The type of the resource."},"definition":{"type":"string","description":"Mark down documentation to be added to the resource."},"parent":{"type":"string","description":"The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent."},"pii":{"type":"boolean","description":"Indicates whether the resource contains personally identifiable information (PII). Values can be - <ul><li> True <li> False</ul>"},"verified":{"type":"boolean","description":"Indicates whether the resource has been set as verified. Values can be - <ul><li> True <li> False</ul>"},"published":{"type":"boolean","description":"Indicates if the resource is visible to viewers or not. Values can be - <ul><li> True <li> False</ul>"},"teams":{"type":"array","items":{"type":"string"},"description":"A list of team IDs that the resource belongs to."},"owners":{"type":"array","items":{"type":"string"},"description":"A list of owner user IDs for the resource."},"owners_groups":{"type":"array","items":{"type":"string"},"description":"A list of owner group IDs for the resource."},"collections":{"type":"array","items":{"type":"string"},"description":"A list of collection IDs the resource belongs to."},"tags":{"type":"array","items":{"type":"string"},"description":"A list of tag IDs associated with the resources."},"subscribers":{"type":"array","description":"A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.","items":{"type":"string"}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.secoda.co/api/reference/resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
